Package org.apache.sling.feature.maven.mojos

# Class Scan

java.lang.Object
org.apache.sling.feature.maven.mojos.FeatureSelectionConfig
org.apache.sling.feature.maven.mojos.Scan

public class Scan extends FeatureSelectionConfig

## Constructor Summary

Constructors
Constructor
Description
`Scan()`

## Method Summary

Modifier and Type
Method
Description
`Set<String>`
`getExcludeTasks()`
`org.apache.maven.model.Dependency`
`getFramework()`
`Set<String>`
`getIncludeTasks()`
`Map<String,Map<String,String>>`
`getTaskConfiguration()`
`void`
`setExcludeTask(String name)`
`void`
`setFramework(org.apache.maven.model.Dependency d)`
`void`
`setIncludeTask(String name)`
`void`
`setTaskConfiguration(String task, Map<String,String> config)`
`String`
`toString()`

### Methods inherited from class org.apache.sling.feature.maven.mojos.FeatureSelectionConfig

`equals, getFilesExcludes, getSelections, hashCode, setFilesExclude, setFilesInclude, setIncludeArtifact, setIncludeClassifier, setRefsInclude`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Scan

public Scan()

## Method Details

### setIncludeTask

public void setIncludeTask(String name)

### setExcludeTask

public void setExcludeTask(String name)

### getIncludeTasks

public Set<String> getIncludeTasks()

### getExcludeTasks

public Set<String> getExcludeTasks()

### getTaskConfiguration

public Map<String,Map<String,String>> getTaskConfiguration()

### setTaskConfiguration

public void setTaskConfiguration(String task, Map<String,String> config)

### setFramework

public void setFramework(org.apache.maven.model.Dependency d)

### getFramework

public org.apache.maven.model.Dependency getFramework()

### toString

public String toString()

Overrides:
  `toString` in class `FeatureSelectionConfig`